Subject: Re: [PATCH/RFC] init, clone: support --real-git-dir for .git file

From: Miles Bader <[email-masked]>
Date: Fri, 04 Mar 2011 13:13:32 +0900

Junio C Hamano <[email-masked]> writes:
>> Instead of creating the repository at $GIT_DIR, --real-git-dir will
>> tell git to put the repository there, then make $GIT_DIR a .git file
>> that points to --real-git-dir.
>
> Just like you, I am also bad at naming things, so I cannot offhand suggest
> a better name, even though I _know_ --real-git-dir sounds horrible.

--separate-git-dir  ?

[Terms like "separate source dir" and "separate build dir" seems to be
common when talking about build systems, and it seems a somewhat
similar situation -- separation of usually co-located information.]

-miles

-- 
It wasn't the Exxon Valdez captain's driving that caused the Alaskan oil spill.
It was yours.  [Greenpeace advertisement, New York Times, 25 February 1990]